Package org.eclipse.microprofile.fault.tolerance.tck.visibility.retry

# Interface RetryService

All Known Implementing Classes:
  `BaseRetryOnClassAndMethodService`, `BaseRetryOnClassService`, `BaseRetryOnMethodService`, `RetryOnClassAndMethodServiceNoAnnotationMethodOverride`, `RetryOnClassAndMethodServiceNoRedefinition`, `RetryOnClassAndMethodServiceOverrideClassLevel`, `RetryOnClassAndMethodServiceOverrideClassLevelMethodOverride`, `RetryOnClassAndMethodServiceOverrideMethodLevel`, `RetryOnClassServiceNoAnnotationOnOveriddenMethod`, `RetryOnClassServiceNoRedefinition`, `RetryOnClassServiceOverrideClassLevel`, `RetryOnClassServiceOverrideClassLevelMethodOverride`, `RetryOnClassServiceOverrideMethodLevel`, `RetryOnMethodServiceNoAnnotationOnOverridedMethod`, `RetryOnMethodServiceNoRedefinition`, `RetryOnMethodServiceOverridedClassLevelMethodOverride`, `RetryOnMethodServiceOverridedClassLevelNoMethodOverride`, `RetryOnMethodServiceOverridedMethodLevel`

public interface RetryService

## Method Summary

Modifier and Type
Method
Description
`int`
`getNumberOfServiceCalls()`
`Connection`
`service()`

## Method Details

### service

Connection service()

### getNumberOfServiceCalls

int getNumberOfServiceCalls()